Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 199)
@@ -53,7 +53,7 @@
 
         #endregion
 
-        #region 検索処理
+        #region 共通費工種関連マスタ検索SQL作成
         /// <summary>
         /// 共通費工種関連マスタ検索
         /// </summary>
@@ -63,29 +63,41 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  LargeCode";
-            strcmd += " ,MiddleCode";
-            strcmd += " ,ItemCode";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM CommonCostLinkMS";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  LargeCode");
+            strcmd.Append(" ,MiddleCode");
+            strcmd.Append(" ,ItemCode");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM CommonCostLinkMS");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 共通費工種関連マスタ検索（複数）
+        /// <summary>
+        /// 共通費工種関連マスタ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<CommonCostLinkMS> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -99,24 +111,35 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
+
+        #region 共通費工種関連マスタ検索（1件）
+        /// <summary>
+        /// 共通費工種関連マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref CommonCostLinkMS data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 // データ無
                 if (arData.Count == 0) return false;
 
@@ -131,7 +154,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -146,38 +169,41 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(CommonCostLinkMS work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO CommonCostLinkMS";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO CommonCostLinkMS");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.LargeCode.ToString());
-                strcmd += string.Format(", {0}", work.MiddleCode.ToString());
-                strcmd += string.Format(", {0}", work.ItemCode.ToString());
+                strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
+                strcmd.AppendFormat(", {0}", work.MiddleCode.ToString());
+                strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
+
+        #region 共通費工種関連マスタ追加（複数件）
         /// <summary>
         /// 共通費工種関連マスタ追加（複数件）
         /// </summary>
@@ -185,44 +211,44 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<CommonCostLinkMS> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO CommonCostLinkMS";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO CommonCostLinkMS");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (CommonCostLinkMS work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.LargeCode.ToString());
-                    strcmd += string.Format(", {0}", work.MiddleCode.ToString());
-                    strcmd += string.Format(", {0}", work.ItemCode.ToString());
+                    strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.MiddleCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ItemCode.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -237,28 +263,28 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, CommonCostLinkMS data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE CommonCostLinkMS";
+                strcmd.Append("UPDATE CommonCostLinkMS");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ComponentCode = {0}", data.LargeCode.ToString());
-                strcmd += string.Format(",MiddleCode = {0}", data.MiddleCode.ToString());
-                strcmd += string.Format(",ItemCode = {0}", data.ItemCode.ToString());
+                strcmd.AppendFormat(" ComponentCode = {0}", data.LargeCode.ToString());
+                strcmd.AppendFormat(",MiddleCode = {0}", data.MiddleCode.ToString());
+                strcmd.AppendFormat(",ItemCode = {0}", data.ItemCode.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -274,18 +300,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM CommonCostLinkMS", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM CommonCostLinkMS", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -332,16 +358,16 @@
         public int SelectMaxIDisplayOrderCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(DisplsyOrder), 0) FROM CommonCostLinkMS" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(DisplsyOrder), 0) FROM CommonCostLinkMS{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -354,7 +380,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -369,19 +395,19 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int LargeCode, int MiddleCode = 0, int ItemCode = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where LargeCode = {0}", LargeCode);
-                if (MiddleCode != 0) strWork += string.Format(" And MiddleCode = {0}", MiddleCode);
-                if (ItemCode != 0) strWork += string.Format(" And ItemCode = {0}", ItemCode);
+                strWork.AppendFormat(" Where LargeCode = {0}", LargeCode);
+                if (MiddleCode != 0) strWork.AppendFormat(" And MiddleCode = {0}", MiddleCode);
+                if (ItemCode != 0) strWork.AppendFormat(" And ItemCode = {0}", ItemCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 199)
@@ -66,21 +66,21 @@
         public bool SelectAction(string AddSQLString, ref List<MaterialRecordInfo> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " MaterialItemCode,DATE_FORMAT(ProcessDate, '%Y/%m/%d %H:%i:%s'),SeqNo,RecKind,ConstructionCode,PersonCode,MaterialCount,DATE_FORMAT(RepayPlanDate, '%Y/%m/%d %H:%i:%s'),CommentText";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM MaterialRecordInfo";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append("MaterialItemCode,DATE_FORMAT(ProcessDate, '%Y/%m/%d %H:%i:%s'),SeqNo,RecKind,ConstructionCode,PersonCode,MaterialCount,DATE_FORMAT(RepayPlanDate, '%Y/%m/%d %H:%i:%s'),CommentText");
+                strcmd.Append(",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append("FROM MaterialRecordInfo");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -94,7 +94,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -107,37 +107,37 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<MaterialRecordInfo> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 foreach (MaterialRecordInfo work in data)
                 {
-                    strcmd = "INSERT INTO MaterialRecordInfo";
+                    strcmd.Append("INSERT INTO MaterialRecordInfo");
 
-                    strcmd += " VALUES (";
+                    strcmd.Append("VALUES (");
 
-                    strcmd += string.Format("  {0}", work.MaterialItemCode.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.ProcessDate.ToString());
-                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
-                    strcmd += string.Format(", {0}", work.RecKind.ToString());
-                    strcmd += string.Format(", {0}", work.ConstructionCode.ToString());
-                    strcmd += string.Format(", {0}", work.PersonCode.ToString());
-                    strcmd += string.Format(", {0}", work.MaterialCount.ToString());
-                    strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RepayPlanDate.ToString());
-                    strcmd += string.Format(", '{0}'", work.CommentText.ToString());
+                    strcmd.AppendFormat("  {0}", work.MaterialItemCode.ToString());
+                    strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y/%m/%d')", work.ProcessDate.ToString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.RecKind.ToString());
+                    strcmd.AppendFormat(", {0}", work.ConstructionCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.PersonCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.MaterialCount.ToString());
+                    strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RepayPlanDate.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.CommentText.ToString());
 
-                    strcmd += ", NOW()";
-                    strcmd += ", NOW()";
-                    strcmd += ")";
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(")");
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                    if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
                 }
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -150,30 +150,30 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, MaterialRecordInfo data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE MaterialRecordInfo";
-                strcmd += " SET";
+                strcmd.Append("UPDATE MaterialRecordInfo");
+                strcmd.Append("SET");
 
-                strcmd += string.Format(" RecKind = {0}", data.RecKind.ToString());
-                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
-                strcmd += string.Format(",MaterialCount = {0}", data.MaterialCount.ToString());
-                strcmd += string.Format(",RepayPlanDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RepayPlanDate.ToString());
-                strcmd += string.Format(",CommentText = '{0}'", data.CommentText.ToString());
+                strcmd.AppendFormat(" RecKind = {0}", data.RecKind.ToString());
+                strcmd.AppendFormat(",ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(",MaterialCount = {0}", data.MaterialCount.ToString());
+                strcmd.AppendFormat(",RepayPlanDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RepayPlanDate.ToString());
+                strcmd.AppendFormat(",CommentText = '{0}'", data.CommentText.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -186,18 +186,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM MaterialRecordInfo", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM MaterialRecordInfo", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -245,10 +245,10 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int MaterialItemCode, DateTime ProcessDate)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d')", MaterialItemCode, ProcessDate);
+                strWork.AppendFormat(" Where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d')", MaterialItemCode, ProcessDate);
 
             }
             catch (Exception ex)
@@ -256,7 +256,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
             }
 
-            return strWork;
+            return strWork.ToString();
         }
 
         /// <summary>
@@ -268,16 +268,16 @@
         public int SelectMaxMaterialRecordKeyCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM MaterialRecordInfo" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM MaterialRecordInfo{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -290,7 +290,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -307,22 +307,22 @@
         {
 
             //インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = string.Format("select * from MaterialrecordInfo  where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d') and SeqNo = {2} for update;",
+                strcmd.AppendFormat("select * from MaterialrecordInfo  where MaterialItemCode = {0} and ProcessDate = DATE_FORMAT('{1}','%Y/%m/%d') and SeqNo = {2} for update;",
                                         MaterialItemCode, ProcessDate, SeqNo);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
